{{#if @showLabel}}
  <div class="form-floating" ...attributes>
    <Input::Select class="input-{{@size}}-{{@property}}" id="{{this.elementId}}-input-{{@property}}" @list={{@allOptions}} @value={{this.value}} @onChange={{this.change}} />
    <label for="{{this.elementId}}-input-{{@property}}">{{capitalize (t (concat "bs-property-" @property))}}</label>
  </div>
{{else}}
  <Input::Select class="input-{{@size}}-{{@property}} form-select" id="{{this.elementId}}-input-{{@property}}" @list={{@allOptions}} @value={{this.value}} @onChange={{this.change}} />
{{/if}}